<?php
if(!function_exists('onlycoffee_setup')):
function onlycoffee_setup(){

	if(!isset($content_width))
	$content_width = 654;
	
	load_theme_textdomain('onlycoffee', get_template_directory().'/languages');
	
	add_theme_support('automatic-feed-links');
	add_theme_support('post-formats', array('aside'));
	
	register_nav_menus(array(
		'primary' => __('Primary Menu', 'shape'),
	));
}
endif;
add_action('after_setup_theme', 'onlycoffee_setup');

require(get_template_directory().'/inc/template-tags.php');
require(get_template_directory().'/inc/tweaks.php');

function onlycoffee_scripts(){
	wp_enqueue_style('style', get_stylesheet_uri());
	
	if(is_singular() && comments_open() && get_option('thread_comments')){
		wp_enqueue_script('comment-reply');
	}
	
	wp_enqueue_script('onlycoffee_navigation', get_template_directory_uri().'/js/navigation.js', array(), '20120206', true);
}
add_action('wp_enqueue_scripts', 'onlycoffee_scripts');

function onlycoffee_widgets_init(){
	register_sidebar(array(
		'name' => __('Primary Widget Area', 'onlycoffee'),
		'id' => 'sidebar-1',
		'before-widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h1 class="wiget-title">',
		'after_title' => '</h1>',
	));
	
	register_sidebar( array(
        'name' => __( 'Secondary Widget Area', 'shape' ),
        'id' => 'sidebar-2',
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget' => '</aside>',
        'before_title' => '<h1 class="widget-title">',
        'after_title' => '</h1>',
    ) );
}
add_action( 'widgets_init', 'onlycoffee_widgets_init' );